task MD5 {

	File file
	String basename = basename(file)
	String docker
	String cluster_config
	String disk_size

	command <<<
		md5sum ${file} > ${basename}.md5
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		String MD5 = "${basename}.md5"
	}
}